class KHTMLPartPrivate

# class KHTMLPartPrivate |
Definition | `#include <khtmlpart_p.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- struct SubmitForm
- struct StringPortion
- struct findState

#### Public Methods

- KHTMLPartPrivate (QObject* parent)
- ~KHTMLPartPrivate ()

#### Public Members

- FrameList m_frames
- QValueList m_objects
- QGuardedPtr m_view
- KHTMLPartBrowserExtension *m_extension
- KHTMLPartBrowserHostExtension *m_hostExtension
- DOM::DocumentImpl *m_doc
- khtml::Decoder *m_decoder
- QString m_encoding
- QString m_sheetUsed
- long m_cacheId
- QString scheduledScript
- DOM::Node scheduledScriptNode
- KJSProxy *m_jscript
- KLibrary *m_kjs_lib
- int m_runningScripts
- bool m_bBackRightClick
- bool m_bJScriptEnabled
- bool m_bJScriptDebugEnabled
- bool m_bJavaEnabled
- bool m_bPluginsEnabled
- bool m_bJScriptForce
- bool m_bJScriptOverride
- bool m_bJavaForce
- bool m_bJavaOverride
- bool m_bPluginsForce
- bool m_metaRefreshEnabled
- bool m_bPluginsOverride
- bool m_restored
- int m_frameNameId
- int m_dcop_counter
- DCOPObject *m_dcopobject
- KJavaAppletContext *m_javaContext
- KHTMLSettings *m_settings
- KIO::TransferJob * m_job
- QString m_statusBarText[3]
- unsigned long m_jobspeed
- QString m_lastModified
- QString m_httpHeaders
- QString m_pageServices
- bool m_ssl_in_use
- QString m_ssl_peer_certificate
- QString m_ssl_peer_chain
- QString m_ssl_peer_ip
- QString m_ssl_cipher
- QString m_ssl_cipher_desc
- QString m_ssl_cipher_version
- QString m_ssl_cipher_used_bits
- QString m_ssl_cipher_bits
- QString m_ssl_cert_state
- QString m_ssl_parent_ip
- QString m_ssl_parent_cert
- bool m_bComplete
- bool m_bLoadEventEmitted
- bool m_haveEncoding
- bool m_bHTTPRefresh
- bool m_onlyLocalReferences
- bool m_redirectLockHistory
- KURL m_workingURL
- KIO::CacheControl m_cachePolicy
- QTimer m_redirectionTimer
- QTime m_parsetime
- int m_delayRedirect
- QString m_redirectURL
- KAction *m_paViewDocument
- KAction *m_paViewFrame
- KAction *m_paViewInfo
- KAction *m_paSaveBackground
- KAction *m_paSaveDocument
- KAction *m_paSaveFrame
- KAction *m_paSecurity
- KSelectAction *m_paSetEncoding
- KSelectAction *m_paUseStylesheet
- KHTMLZoomFactorAction *m_paIncZoomFactor
- KHTMLZoomFactorAction *m_paDecZoomFactor
- KAction *m_paLoadImages
- KAction *m_paFind
- KAction *m_paFindNext
- KAction *m_paPrintFrame
- KAction *m_paSelectAll
- KAction *m_paDebugDOMTree
- KAction *m_paDebugRenderTree
- KParts::PartManager *m_manager
- QString m_popupMenuXML
- KHTMLPart::GUIProfile m_guiProfile
- int m_zoomFactor
- QString m_strSelectedURL
- QString m_strSelectedURLTarget
- QString m_referrer
- QString m_pageReferrer
- SubmitForm *m_submitForm
- bool m_bMousePressed
- bool m_bRightMousePressed
- DOM::Node m_mousePressNode
- DOM::Node m_selectionStart
- long m_startOffset
- DOM::Node m_selectionEnd
- long m_endOffset
- QString m_overURL
- QString m_overURLTarget
- bool m_startBeforeEnd
- bool m_bDnd
- bool m_bFirstData
- bool m_bClearing
- bool m_bCleared
- bool m_bSecurityInQuestion
- bool m_focusNodeRestored
- int m_focusNodeNumber
- QPoint m_dragStartPos
- QPoint m_dragLastPos
- QCursor m_linkCursor
- QTimer m_scrollTimer
- unsigned long m_loadedObjects
- unsigned long m_totalObjectCount
- unsigned int m_jobPercent
- QTimer m_progressUpdateTimer
- QStringList m_pluginPageQuestionAsked
- QValueList m_stringPortions
- KFind *m_find
- findState m_lastFindState
- DOM::NodeImpl *m_findNode
- DOM::NodeImpl *m_findNodeEnd
- int m_findPos
- int m_findPosEnd
- KParts::Part * m_activeFrame
- QGuardedPtr m_opener
- bool m_openedByJS
- bool m_newJSInterpreterExists

## Detailed Description

KHTMLPartPrivate (QObject* parent) | ### KHTMLPartPrivate

~KHTMLPartPrivate () | ### ~KHTMLPartPrivate

FrameList m_frames | ### m_frames

QValueList<khtml::ChildFrame> m_objects | ### m_objects

QGuardedPtr<KHTMLView> m_view | ### m_view

KHTMLPartBrowserExtension * m_extension | ### m_extension

KHTMLPartBrowserHostExtension * m_hostExtension | ### m_hostExtension

DOM::DocumentImpl * m_doc | ### m_doc

khtml::Decoder * m_decoder | ### m_decoder

QString m_encoding | ### m_encoding

QString m_sheetUsed | ### m_sheetUsed

long m_cacheId | ### m_cacheId

QString scheduledScript | ### scheduledScript

DOM::Node scheduledScriptNode | ### scheduledScriptNode

KJSProxy * m_jscript | ### m_jscript

KLibrary * m_kjs_lib | ### m_kjs_lib

int m_runningScripts | ### m_runningScripts

bool m_bBackRightClick | ### m_bBackRightClick

bool m_bJScriptEnabled | ### m_bJScriptEnabled

bool m_bJScriptDebugEnabled | ### m_bJScriptDebugEnabled

bool m_bJavaEnabled | ### m_bJavaEnabled

bool m_bPluginsEnabled | ### m_bPluginsEnabled

bool m_bJScriptForce | ### m_bJScriptForce

bool m_bJScriptOverride | ### m_bJScriptOverride

bool m_bJavaForce | ### m_bJavaForce

bool m_bJavaOverride | ### m_bJavaOverride

bool m_bPluginsForce | ### m_bPluginsForce

bool m_metaRefreshEnabled | ### m_metaRefreshEnabled

bool m_bPluginsOverride | ### m_bPluginsOverride

bool m_restored | ### m_restored

int m_frameNameId | ### m_frameNameId

int m_dcop_counter | ### m_dcop_counter

DCOPObject * m_dcopobject | ### m_dcopobject

KJavaAppletContext * m_javaContext | ### m_javaContext

KHTMLSettings * m_settings | ### m_settings

KIO::TransferJob * m_job | ### m_job

QString m_statusBarText[3] | ### m_statusBarText[3]

unsigned long m_jobspeed | ### m_jobspeed

QString m_lastModified | ### m_lastModified

QString m_httpHeaders | ### m_httpHeaders

QString m_pageServices | ### m_pageServices

bool m_ssl_in_use | ### m_ssl_in_use

QString m_ssl_peer_certificate | ### m_ssl_peer_certificate

QString m_ssl_peer_chain | ### m_ssl_peer_chain

QString m_ssl_peer_ip | ### m_ssl_peer_ip

QString m_ssl_cipher | ### m_ssl_cipher

QString m_ssl_cipher_desc | ### m_ssl_cipher_desc

QString m_ssl_cipher_version | ### m_ssl_cipher_version

QString m_ssl_cipher_used_bits | ### m_ssl_cipher_used_bits

QString m_ssl_cipher_bits | ### m_ssl_cipher_bits

QString m_ssl_cert_state | ### m_ssl_cert_state

QString m_ssl_parent_ip | ### m_ssl_parent_ip

QString m_ssl_parent_cert | ### m_ssl_parent_cert

bool m_bComplete | ### m_bComplete

bool m_bLoadEventEmitted | ### m_bLoadEventEmitted

bool m_haveEncoding | ### m_haveEncoding

bool m_bHTTPRefresh | ### m_bHTTPRefresh

bool m_onlyLocalReferences | ### m_onlyLocalReferences

bool m_redirectLockHistory | ### m_redirectLockHistory

KURL m_workingURL | ### m_workingURL

KIO::CacheControl m_cachePolicy | ### m_cachePolicy

QTimer m_redirectionTimer | ### m_redirectionTimer

QTime m_parsetime | ### m_parsetime

int m_delayRedirect | ### m_delayRedirect

QString m_redirectURL | ### m_redirectURL

KAction * m_paViewDocument | ### m_paViewDocument

KAction * m_paViewFrame | ### m_paViewFrame

KAction * m_paViewInfo | ### m_paViewInfo

KAction * m_paSaveBackground | ### m_paSaveBackground

KAction * m_paSaveDocument | ### m_paSaveDocument

KAction * m_paSaveFrame | ### m_paSaveFrame

KAction * m_paSecurity | ### m_paSecurity

KSelectAction * m_paSetEncoding | ### m_paSetEncoding

KSelectAction * m_paUseStylesheet | ### m_paUseStylesheet

KHTMLZoomFactorAction * m_paIncZoomFactor | ### m_paIncZoomFactor

KHTMLZoomFactorAction * m_paDecZoomFactor | ### m_paDecZoomFactor

KAction * m_paLoadImages | ### m_paLoadImages

KAction * m_paFind | ### m_paFind

KAction * m_paFindNext | ### m_paFindNext

KAction * m_paPrintFrame | ### m_paPrintFrame

KAction * m_paSelectAll | ### m_paSelectAll

KAction * m_paDebugDOMTree | ### m_paDebugDOMTree

KAction * m_paDebugRenderTree | ### m_paDebugRenderTree

KParts::PartManager * m_manager | ### m_manager

QString m_popupMenuXML | ### m_popupMenuXML

KHTMLPart::GUIProfile m_guiProfile | ### m_guiProfile

int m_zoomFactor | ### m_zoomFactor

QString m_strSelectedURL | ### m_strSelectedURL

QString m_strSelectedURLTarget | ### m_strSelectedURLTarget

QString m_referrer | ### m_referrer

QString m_pageReferrer | ### m_pageReferrer

SubmitForm (struct) | ### SubmitForm

SubmitForm * m_submitForm | ### m_submitForm

bool m_bMousePressed | ### m_bMousePressed

bool m_bRightMousePressed | ### m_bRightMousePressed

DOM::Node m_mousePressNode | ### m_mousePressNode

DOM::Node m_selectionStart | ### m_selectionStart

long m_startOffset | ### m_startOffset

DOM::Node m_selectionEnd | ### m_selectionEnd

long m_endOffset | ### m_endOffset

QString m_overURL | ### m_overURL

QString m_overURLTarget | ### m_overURLTarget

bool m_startBeforeEnd | ### m_startBeforeEnd

bool m_bDnd | ### m_bDnd

bool m_bFirstData | ### m_bFirstData

bool m_bClearing | ### m_bClearing

bool m_bCleared | ### m_bCleared

bool m_bSecurityInQuestion | ### m_bSecurityInQuestion

bool m_focusNodeRestored | ### m_focusNodeRestored

int m_focusNodeNumber | ### m_focusNodeNumber

QPoint m_dragStartPos | ### m_dragStartPos

QPoint m_dragLastPos | ### m_dragLastPos

QCursor m_linkCursor | ### m_linkCursor

QTimer m_scrollTimer | ### m_scrollTimer

unsigned long m_loadedObjects | ### m_loadedObjects

unsigned long m_totalObjectCount | ### m_totalObjectCount

unsigned int m_jobPercent | ### m_jobPercent

QTimer m_progressUpdateTimer | ### m_progressUpdateTimer

QStringList m_pluginPageQuestionAsked | ### m_pluginPageQuestionAsked

StringPortion (struct) | ### StringPortion

QValueList m_stringPortions | ### m_stringPortions

KFind * m_find | ### m_find

findState (struct) | ### findState

findState m_lastFindState | ### m_lastFindState

DOM::NodeImpl * m_findNode | ### m_findNode

DOM::NodeImpl * m_findNodeEnd | ### m_findNodeEnd

int m_findPos | ### m_findPos

int m_findPosEnd | ### m_findPosEnd

KParts::Part * m_activeFrame | ### m_activeFrame

QGuardedPtr<KHTMLPart> m_opener | ### m_opener

bool m_openedByJS | ### m_openedByJS

bool m_newJSInterpreterExists | ### m_newJSInterpreterExists

Generated by: root on macppc.ports.openbsd.org on Sat Sep 6 10:37:43 2003, using kdoc 2.0a54.